Create Group

Create Group
Create a new SCIM group

This endpoint is responsible for creating a new group. For more information, check the specification: https://tools.ietf.org/html/rfc7644#section-3.3.

Request
URI
POST
https://{api_host}/usergroup/t/{tenant}/scim/v2/Groups
COPY
Path Parameters
string
tenant
Required  

The VMware Identity Services tenant ID

tenant example
my-tenant

Request Body
GroupMedia of type(s) application/scim+json
Required  

Show optional properties

{
    "displayName": "Example Group"
}
{
    "displayName": "Example Group",
    "members": [
        {
            "value": "42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
            "$ref": "https://example.com/v2/User/42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
            "display": "Example User"
        }
    ],
    "id": "string",
    "schemas": [
        "string"
    ],
    "meta": {
        "location": "string",
        "lastModified": "string",
        "version": "string",
        "created": "string",
        "resourceType": "string"
    },
    "externalId": "string"
}
string
displayName
Required  

A human-readable name for the group

array of object
members
Optional

A list of members of the group

string
id
Optional

The unique identifier of the SCIM resource

array of string
schemas
Optional

The SCIM resource schema URIs

object
meta
Optional

The meta information of the resource

string
externalId
Optional

The SCIM resource external identifier

Authentication
This operation uses the following authentication methods.
Responses
200

The group was successfully created.

Returns GroupMedia of type(s) application/scim+json
{
    "displayName": "Example Group",
    "members": [
        {
            "value": "42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
            "$ref": "https://example.com/v2/User/42dc6b2c-4517-4e88-b1a7-79a1a1f88b5b",
            "display": "Example User"
        }
    ],
    "id": "string",
    "schemas": [
        "string"
    ],
    "meta": {
        "location": "string",
        "lastModified": "string",
        "version": "string",
        "created": "string",
        "resourceType": "string"
    },
    "externalId": "string"
}

400

The request contains invalid information.

Operation doesn't return any data structure

404

Directory not found.

Operation doesn't return any data structure

409

Modification is forbidden.

Operation doesn't return any data structure

500

Unexpected error.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/scim+json' -d '{"displayName":"string"}' https://{api_host}/usergroup/t/{tenant}/scim/v2/Groups